﻿

<div class="modal @ModalClass" style="display:@ModalDisplay !important" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title text-center"><span class="oi oi-info text-info"></span> View Nurse Contact</h4>
                <button type="button" class="close text-danger" @onclick="() => Close()" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                <div style="display:@dataLoaded">
                    <input type="hidden" id="bodyField" bind=@nurseDto.Id />
                    <div class="form-group row">
                        <label for="name" class="col-sm-4 col-form-label text-right">Name: </label>
                        <div class="col-sm-8">
                            <input type="text" readonly class="form-control-plaintext" id="name" @bind="nurseDto.Name">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="mobileNo" class="col-sm-4 col-form-label text-right">Mobile No: </label>
                        <div class="col-sm-8">
                            <input type="text" readonly class="form-control-plaintext" id="mobileNo" @bind="nurseDto.MobileNumber">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="email" class="col-sm-4 col-form-label text-right">E-mail: </label>
                        <div class="col-sm-8">
                            <input type="text" readonly class="form-control-plaintext" id="email" @bind="nurseDto.Email">
                        </div>
                    </div>
                </div>
                <div style="display:@dataLoading">
                    <div class="spinner-grow text-info" role="status">
                        <span class="sr-only">Loading...</span>
                    </div>
                </div>
                <div style="display:@contetntError">
                    <div class="alert alert-warning" role="alert">
                        @contetntErrorMsg
                    </div>
                </div>
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary btn-sm" @onclick="() => Close()" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
@code {

}